# -*- encoding: utf-8 -*-
# stub: aws-sdk-ec2 1.361.0 ruby lib

Gem::Specification.new do |s|
  s.name = "aws-sdk-ec2".freeze
  s.version = "1.361.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/aws/aws-sdk-ruby/tree/version-3/gems/aws-sdk-ec2/CHANGELOG.md", "source_code_uri" => "https://github.com/aws/aws-sdk-ruby/tree/version-3/gems/aws-sdk-ec2" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Amazon Web Services".freeze]
  s.date = "2024-07-17"
  s.description = "Official AWS Ruby gem for Amazon Elastic Compute Cloud (Amazon EC2). This gem is part of the AWS SDK for Ruby.".freeze
  s.email = ["aws-dr-rubygems@amazon.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "LICENSE.txt".freeze, "VERSION".freeze, "lib/aws-sdk-ec2.rb".freeze, "lib/aws-sdk-ec2/classic_address.rb".freeze, "lib/aws-sdk-ec2/client.rb".freeze, "lib/aws-sdk-ec2/client_api.rb".freeze, "lib/aws-sdk-ec2/customizations.rb".freeze, "lib/aws-sdk-ec2/customizations/instance.rb".freeze, "lib/aws-sdk-ec2/customizations/resource.rb".freeze, "lib/aws-sdk-ec2/dhcp_options.rb".freeze, "lib/aws-sdk-ec2/endpoint_parameters.rb".freeze, "lib/aws-sdk-ec2/endpoint_provider.rb".freeze, "lib/aws-sdk-ec2/endpoints.rb".freeze, "lib/aws-sdk-ec2/errors.rb".freeze, "lib/aws-sdk-ec2/image.rb".freeze, "lib/aws-sdk-ec2/instance.rb".freeze, "lib/aws-sdk-ec2/internet_gateway.rb".freeze, "lib/aws-sdk-ec2/key_pair.rb".freeze, "lib/aws-sdk-ec2/key_pair_info.rb".freeze, "lib/aws-sdk-ec2/nat_gateway.rb".freeze, "lib/aws-sdk-ec2/network_acl.rb".freeze, "lib/aws-sdk-ec2/network_interface.rb".freeze, "lib/aws-sdk-ec2/network_interface_association.rb".freeze, "lib/aws-sdk-ec2/placement_group.rb".freeze, "lib/aws-sdk-ec2/plugins/copy_encrypted_snapshot.rb".freeze, "lib/aws-sdk-ec2/plugins/endpoints.rb".freeze, "lib/aws-sdk-ec2/plugins/region_validation.rb".freeze, "lib/aws-sdk-ec2/resource.rb".freeze, "lib/aws-sdk-ec2/route.rb".freeze, "lib/aws-sdk-ec2/route_table.rb".freeze, "lib/aws-sdk-ec2/route_table_association.rb".freeze, "lib/aws-sdk-ec2/security_group.rb".freeze, "lib/aws-sdk-ec2/snapshot.rb".freeze, "lib/aws-sdk-ec2/subnet.rb".freeze, "lib/aws-sdk-ec2/tag.rb".freeze, "lib/aws-sdk-ec2/types.rb".freeze, "lib/aws-sdk-ec2/volume.rb".freeze, "lib/aws-sdk-ec2/vpc.rb".freeze, "lib/aws-sdk-ec2/vpc_address.rb".freeze, "lib/aws-sdk-ec2/vpc_peering_connection.rb".freeze, "lib/aws-sdk-ec2/waiters.rb".freeze]
  s.homepage = "https://github.com/aws/aws-sdk-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "AWS SDK for Ruby - Amazon EC2".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aws-sigv4>.freeze, ["~> 1.1"])
    s.add_runtime_dependency(%q<aws-sdk-core>.freeze, ["~> 3", ">= 3.165.0"])
  else
    s.add_dependency(%q<aws-sigv4>.freeze, ["~> 1.1"])
    s.add_dependency(%q<aws-sdk-core>.freeze, ["~> 3", ">= 3.165.0"])
  end
end
